/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#define BLOCK_SIZE 512

#define STATS_DURATION 5

#define USE_ALIGNED_MEMORY
#define USE_DELETE_QUEUE
//#define USE_LARGE_FILES
//#define FIFO
//#define QUICK_MD5
//#define QUICK_CFS_LOOKUP

// warning: don't use
//#define FIND_FREE_BUFFER

#define LOG_HIT_RATE

//const int frameSize = 1024;
//const int frameSize = 8192;
//const int frameSize = 16384;

const int frameSize = 1024 * 64;
//const int frameSize = 1024 * 16;


//int frameSize;
//const int blocksPerFrame = frameSize / BLOCK_SIZE;
//int blocksPerFrame;

// give each file n frames
//const int groupCount = 16;
//int groupCount;


// note HIT_RATE!
//const int diskSectorCount = 2097152; // 1 Gig
const int diskSectorCount = 3145728;
//const int diskSectorCount = 32 * 1024; // small

//const int diskSectorCount = 1024; // small

//const int diskFrameCount = diskSectorCount / blocksPerFrame;
//const int bufferFrameCount = 128;
//int bufferFrameCount;
//const int threadCount = groupCount;

#define DEBUG_FREQUENCY 10000
#define NUMRANDOMIZEPASSES 10


#define DIGEST_LENGTH 16
//#define FILE_TABLE_NUM_CHAINS 1009, 3121, 7919
#define FILE_TABLE_NUM_CHAINS 7919


#define LOVE true
#define HATE false

#define EXCLUSIVE true
#define SHARED false

#define DIRTY true
#define CLEAN false

#define NULL_GROUP -1

#endif
