/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <vector>

int main () {
  vector<int> freeSpace;

  vector<int> *vptr;

  vptr = &freeSpace;
  vptr->insert (freeSpace.begin(), 1);

  freeSpace.insert (freeSpace.begin(), 3);
  freeSpace.insert (freeSpace.begin(), 4);
  freeSpace.insert (freeSpace.begin(), 2);
  freeSpace.insert (freeSpace.begin(), 5);
  freeSpace.insert (freeSpace.begin(), 7);

  for (int i = 0; i < freeSpace.size(); i++) {
    cout << freeSpace[i] << endl;
  }

  cout << endl;

  freeSpace.erase (freeSpace.begin() + 1);

  for (int i = 0; i < freeSpace.size(); i++) {
    cout << freeSpace[i] << endl;
  }

  return 0;
}
