/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "proxy.h"

int main (int argc, char* argv[]) {

  cout << "max obj size: " << MAX_OBJ_SIZE << endl;

  if (argc != 2) {
    cout << "You must supply a port number to bind to.  E.g.: 8080." << endl;
    exit (0);
  }
  Proxy *proxy = new Proxy (atoi (argv[1]));
  proxy->run();
}
