/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "readListTest.h"

int main () {

  ReadList *readList = new ReadList ();

  cout << "Adding...." << endl;

  readList->add (2, 3);
  readList->add (5, 5);
  readList->add (7, 7);
  readList->add (2, 3);

  cout << *readList << endl;

  cout << "Removing....." << endl;

  //readList->remove (4, 4);
  //  readList->remove (3, 4);

  return 0;
}


ReadList::ReadList () {
}

ReadList::~ReadList () {
}

//Status ReadList::add (File *file, int pageNo) {
Status ReadList::add (int file, int pageNo) {
  Reader frame;
  frame.set (file, pageNo);

  // Reader *frame = new Reader (file, pageNo);
  //  reader.insert (reader.begin(), frame);
  reader.insert (frame);

  cout << "add size=" <<  reader.size() << endl;

  return OK;
}

//Status ReadList::remove (File *file, int pageNo) {
Status ReadList::remove (int file, int pageNo) {
  //  Reader *frame = new Reader (file, pageNo);

  Reader frame;
  frame.set (file, pageNo);

  if ((readerIterator = reader.find(frame)) == reader.end()) {
    cout << "not found" << endl;
  } else {
    cout << *readerIterator << endl;
    cout << frame << endl;
    reader.erase (readerIterator);
    cout << "found" << endl;
  } 

//     if (iter == NULL) {
//     cout << "iter is null" << endl;
//   } else {
//     reader.erase (iter);
//   }
  cout << "remove size= " << reader.size() << endl;
  return OK;
}


ostream& operator << (ostream& os, const Reader& reader) {
  os << "(" << reader.file << "," << reader.pageNo << ")";
  return os;
}

ostream& operator << (ostream& os, const ReadList &readList) {

  for ( set<Reader>::iterator readerIterator = readList.reader.begin(); readerIterator != readList.reader.end(); readerIterator++) {
    os << *readerIterator << "\t";
  }
  os << "\n";
  return os;
}
