/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <iostream>
#include "deleteQueue.h"

int main () {

  DeleteQueue *queue = new DeleteQueue (16);

  RID rid1;
  rid1.pageNo = 9;
  rid1.slotNo = 7;
  cout << "en: " << rid1 << endl;
  queue->enqueue (rid1);

  cout << *queue << endl;

  RID rid2;
  rid2.pageNo = 9;
  rid2.slotNo = 5;
  cout << "en: " << rid2 << endl;
  queue->enqueue (rid2);

  cout << *queue << endl;

  RID rid6;
  rid6.pageNo = 9;
  rid6.slotNo = 8;
  cout << "en: " << rid6 << endl;
  queue->enqueue (rid6);

  cout << *queue << endl;


  RID rid4;
  rid4 = queue->dequeue (9);
  cout << "de: " << rid4 << endl;

  cout << *queue << endl;

  RID rid3;
  rid3 = queue->dequeue (9);
  cout << "de: " << rid3 << endl;

  cout << *queue << endl;

  RID rid5;
  rid5 = queue->dequeue (9);
  cout << "de: " << rid5 << endl;

  cout << *queue << endl;


  RID rid7;
  rid7 = queue->dequeue (9);
  cout << "de: " << rid7 << endl;

  cout << *queue << endl;

  delete queue;

}
