/*
 * Copyright (C) 2001  Jonathan T. Ledlie
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "requestQueue.h"
#include "request.h"

int main () {

  const int NUM_REQUEST = 10;

  char dataSpace[] = "blah";
  char *data = dataSpace;

  int head = 2;
  RequestQueue *queue = new RequestQueue (&head);

  cout << *queue << endl;

  Request **request = new Request* [NUM_REQUEST]; 
  for (int i = 0; i < NUM_REQUEST; i++) {
     request[i] = new Request (READ, data, i);
  }

  queue->enqueue (request[3]);
  cout << *queue << endl;

  queue->enqueue (request[0]);
  cout << *queue << endl;

  queue->enqueue (request[1]);
  cout << *queue << endl;

  head = 4;

  queue->enqueue (request[4]);
  cout << *queue << endl;

  queue->enqueue (request[2]);
  cout << *queue << endl;

  Request *r1;
  queue->dequeue (r1);
  cout << r1 << endl;
  cout << *queue << endl;  

  queue->dequeue (r1);
  cout << r1 << endl;
  cout << *queue << endl;  

  queue->dequeue (r1);
  cout << r1 << endl;
  cout << *queue << endl;  

  queue->dequeue (r1);
  cout << r1 << endl;
  cout << *queue << endl;  

  queue->dequeue (r1);
  cout << r1 << endl;
  cout << *queue << endl;  


  delete queue;
}
